#rank-index.rank-index {
  position: relative;
  width: 100%;
  min-width: 1366px;
  background: #F4F7FC;
  font-family: Noto Sans SC, Noto Sans SC;
  padding-top: 122px;
}
#rank-index .top-nav {
  padding: 20px 0 16px;
  border-bottom: 1px solid rgba(11, 45, 69, 0.06);
  position: sticky;
  top: 122px;
  z-index: 5;
}
#rank-index .top-nav .nav {
  display: flex;
  justify-content: space-between;
}
#rank-index .top-nav .nav .btns {
  display: flex;
  align-items: center;
}
#rank-index .top-nav .nav .btns .border {
  width: 2px;
  height: 13px;
  background: #262626;
  opacity: 0.1;
  margin: 0 26px;
}
#rank-index .top-nav .nav .btns .btn {
  background: transparent;
  line-height: 19px;
  font-size: 16px;
  font-weight: 500;
  color: #0B2D45;
  border-radius: 4px;
  padding: 10px 20px;
  margin-left: 0;
  cursor: pointer;
}
#rank-index .top-nav .nav .btns .btn:hover {
  background: rgba(11, 45, 69, 0.05);
  color: #0B2D45;
}
#rank-index .top-nav .nav .btns .btn.active {
  background: #0B2D45;
  font-weight: 400;
  color: #fff;
}
#rank-index .top-nav .nav .btns .btn:last-child {
  margin-left: 30px;
}
#rank-index .top {
  height: 550px;
  background: url('/assets/images/rank/index/bg-banner.png') no-repeat center center;
  background-size: 1920px auto;
  background-color: #ECEDF2;
  margin-top: -76px;
}
#rank-index .top .top-container {
  padding-top: 120px;
}
#rank-index .top .top-container .title {
  line-height: 55px;
  font-size: 46px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .top .top-container .title-desc {
  width: fit-content;
  line-height: 53px;
  font-size: 44px;
  font-weight: bold;
  color: #2E50FA;
  margin-top: 16px;
  border-bottom: 3px solid #C8D2F9;
}
#rank-index .top .top-container .text {
  width: 770px;
  line-height: 24px;
  font-size: 16px;
  color: #414C60;
  margin-top: 39px;
}
#rank-index .top .top-container .btn {
  width: 210px;
  margin-top: 72px;
  background: #0B2D45;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  line-height: 20px;
  font-size: 16px;
  color: #fff;
  padding: 15px 0;
  cursor: pointer;
}
#rank-index .top .top-container .btn:hover {
  background: #0E3958;
}
#rank-index .top .top-container .btn:hover .icon {
  transform: translateX(4px);
}
#rank-index .top .top-container .btn .icon {
  width: 20px;
  transition: all 0.3s ease-in-out;
}
#rank-index .top .top-container .tips {
  line-height: 17px;
  font-size: 14px;
  color: #99A1AA;
  margin-top: 22px;
}
#rank-index .top-data {
  background: #fff;
  border-bottom: 1px solid #DFE2E6;
}
#rank-index .top-data-content {
  padding: 50px 10px 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#rank-index .top-data-content .top-data-item {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
}
#rank-index .top-data-content .top-data-item .count {
  line-height: 32px;
  font-size: 36px;
  font-weight: bold;
  color: #0B2D45;
  display: flex;
  align-items: flex-end;
}
#rank-index .top-data-content .top-data-item .count .blue {
  font-size: 32px;
  color: #2E50FA;
  margin-left: 6px;
}
#rank-index .top-data-content .top-data-item .count .blue.min {
  line-height: 20px;
  font-size: 18px;
}
#rank-index .top-data-content .top-data-item .top-data-name {
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
}
#rank-index .top-data-content .border {
  width: 2px;
  height: 60px;
  background: #B5BCC6;
}
#rank-index .container {
  padding: 80px 0;
}
#rank-index .container .container-tag {
  width: fit-content;
  background: rgba(46, 80, 250, 0.1);
  border-radius: 4px;
  line-height: 19px;
  font-size: 16px;
  font-weight: 500;
  color: #2E50FA;
  padding: 2px 12px 2px 27px;
  position: relative;
}
#rank-index .container .container-tag::before {
  content: '';
  width: 5px;
  height: 5px;
  background: #2E50FA;
  border-radius: 50%;
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
}
#rank-index .container .container-title {
  width: fit-content;
  line-height: 48px;
  font-size: 40px;
  font-weight: bold;
  color: #0B2D45;
  margin-top: 16px;
  position: relative;
}
#rank-index .container .container-title.ask::after {
  content: '';
  width: 55px;
  height: 98px;
  background: url(/assets/images/rank/index/icon-ask.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  right: -55px;
  bottom: 0;
}
#rank-index .container .container-text {
  line-height: 17px;
  font-size: 14px;
  color: #4A5568;
  margin-top: 22px;
}
#rank-index .container .container-tabs {
  border-bottom: 1px solid #E5E8EB;
  display: flex;
  justify-content: center;
  gap: 30px;
}
#rank-index .container .container-tabs .tab-item {
  padding: 12px 25px;
  line-height: 22px;
  font-size: 18px;
  color: #4A5568;
  cursor: pointer;
  position: relative;
}
#rank-index .container .container-tabs .tab-item.active {
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container .container-tabs .tab-item.active::after {
  content: '';
  width: 100%;
  height: 4px;
  background: #2E50FA;
  position: absolute;
  left: 0;
  bottom: -2px;
}
#rank-index .container1 {
  background: url(/assets/images/rank/index/bg-container-1-1.png) no-repeat right 72px;
  background-size: 445px auto;
}
#rank-index .container1 .container-content .content-box {
  margin-top: 70px;
  display: flex;
  justify-content: space-between;
}
#rank-index .container1 .container-content .content-box .left {
  width: 657px;
}
#rank-index .container1 .container-content .content-box .left .text {
  line-height: 26px;
  font-size: 16px;
  color: #4A5568;
  margin-bottom: 16px;
}
#rank-index .container1 .container-content .content-box .left .data {
  margin-top: 70px;
  display: flex;
  justify-content: space-between;
}
#rank-index .container1 .container-content .content-box .left .data .data-item {
  width: 310px;
  height: 236px;
  background: no-repeat center top;
  background-size: 100% auto;
  background-color: #fff;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border-radius: 6px;
  padding: 0 36px;
}
#rank-index .container1 .container-content .content-box .left .data .data-item:nth-child(1) {
  background-image: url(/assets/images/rank/index/bg-container-1-2.png);
}
#rank-index .container1 .container-content .content-box .left .data .data-item:nth-child(2) {
  background-image: url(/assets/images/rank/index/bg-container-1-3.png);
}
#rank-index .container1 .container-content .content-box .left .data .data-item .item-title {
  padding: 22px 0 20px;
  display: flex;
  align-items: center;
  line-height: 22px;
  font-size: 18px;
  font-weight: bold;
  color: #0B2D45;
  border-bottom: 1px solid #E2E9F3;
}
#rank-index .container1 .container-content .content-box .left .data .data-item .item-title .icon {
  width: 38px;
  margin-right: 10px;
}
#rank-index .container1 .container-content .content-box .left .data .data-item .item-text {
  line-height: 26px;
  font-size: 14px;
  color: #4A5568;
  margin-top: 20px;
}
#rank-index .container1 .container-content .content-box .right {
  width: 663px;
  height: 452px;
  background: #0B2D45;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border-radius: 6px;
  padding: 32px 0 0 32px;
}
#rank-index .container1 .container-content .content-box .right .right-content {
  height: 100%;
  background: #F7F9FD;
  border-radius: 8px 0 0 0;
  overflow: hidden;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-top {
  background: #E3EBF7;
  padding: 15px 0 14px 21px;
  display: flex;
  align-items: center;
  gap: 16px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-top .dot {
  width: 11px;
  height: 11px;
  background: var(--bg);
  border-radius: 50%;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main {
  padding: 38px 32px 0 26px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top .tabs {
  display: flex;
  align-items: center;
  gap: 6px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top .tabs .tab-item {
  width: 108px;
  height: 37px;
  line-height: 37px;
  font-size: 15px;
  color: #4A5568;
  text-align: center;
  border-radius: 4px;
  cursor: pointer;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top .tabs .tab-item:hover {
  background: rgba(11, 45, 69, 0.05);
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top .tabs .tab-item.active {
  background: #2E50FA;
  font-weight: 500;
  color: #fff;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .content-main-top .rank {
  background: url(/assets/images/rank/index/icon-container-1-rank.png) no-repeat left center;
  background-size: 14px;
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
  padding-left: 20px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table {
  margin-top: 22px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .th {
  background: #EAEFF6;
  border-radius: 6px 6px 0 0;
  display: flex;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .th .td {
  line-height: 17px;
  font-size: 14px;
  color: #6B7A8D;
  text-align: center;
  padding: 10px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .th .td.flex1 {
  flex: 1;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .th .td.w300 {
  width: 300px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr {
  border-bottom: 1px solid #E2E9F3;
  padding: 12px 0;
  display: flex;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td {
  line-height: 16px;
  font-size: 13px;
  color: var(--color, #414C60);
  text-align: center;
  overflow: hidden;
  padding: 0 32px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td.flex1 {
  flex: 1;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td.w300 {
  width: 300px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td.pd0 {
  padding: 0;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td.pl0 {
  padding-left: 0;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td.pr68 {
  padding-right: 68px;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td span {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx {
  width: 15px;
  height: 15px;
  background: no-repeat center center;
  background-size: 100%;
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx.idx1 {
  background-image: url(/assets/images/rank/index/icon-container-1-rank-1.png);
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx.idx2 {
  background-image: url(/assets/images/rank/index/icon-container-1-rank-2.png);
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx.idx3 {
  background-image: url(/assets/images/rank/index/icon-container-1-rank-3.png);
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx.idx4 {
  background-image: url(/assets/images/rank/index/icon-container-1-rank-4.png);
}
#rank-index .container1 .container-content .content-box .right .right-content .content-main .table .t-body .tr .td .idx.idx5 {
  background-image: url(/assets/images/rank/index/icon-container-1-rank-5.png);
}
#rank-index .container2 {
  background: url(/assets/images/rank/index/bg-container-2-1.png) no-repeat center 220px;
  background-size: 1525px auto;
  background-color: #fff;
}
#rank-index .container2 .container-content .data {
  margin-top: 64px;
  display: flex;
  gap: 26px;
}
#rank-index .container2 .container-content .data .data-item {
  flex: 1;
  background: url(/assets/images/rank/index/bg-container-2-2.png) no-repeat right bottom;
  background-size: 294px auto;
  background-color: #F7F8FE;
  border-radius: 6px;
  padding: 52px 58px 43px;
}
#rank-index .container2 .container-content .data .data-item .item-title {
  display: flex;
  align-items: center;
  line-height: 29px;
  font-size: 24px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container2 .container-content .data .data-item .item-title .icon {
  width: 32px;
  margin-right: 6px;
}
#rank-index .container2 .container-content .data .data-item .item-text {
  line-height: 26px;
  font-size: 16px;
  color: #4A5568;
  margin-top: 40px;
}
#rank-index .container2 .container-content .data .data-item .item-text span {
  font-weight: bold;
}
#rank-index .container2 .container-content .data .data-item .tags {
  margin-top: 31px;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
#rank-index .container2 .container-content .data .data-item .tags .tag {
  background: #E9ECFB;
  border-radius: 4px;
  line-height: 17px;
  font-size: 14px;
  color: rgba(46, 80, 250, 0.8);
  padding: 6px 18px;
}
#rank-index .container2 .container-content .data .data-item .btn {
  margin-top: 38px;
  width: 236px;
  background: #0B2D45;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  line-height: 20px;
  font-size: 16px;
  color: #fff;
  padding: 13px 0;
  cursor: pointer;
}
#rank-index .container2 .container-content .data .data-item .btn:hover {
  background: #0E3958;
}
#rank-index .container2 .container-content .data .data-item .btn:hover .icon {
  transform: translateX(4px);
}
#rank-index .container2 .container-content .data .data-item .btn .icon {
  width: 20px;
  transition: all 0.3s ease-in-out;
}
#rank-index .container3 {
  padding-bottom: 0;
}
#rank-index .container3 .container-tabs {
  margin-top: 46px;
}
#rank-index .container3 .container-content {
  background: url(/assets/images/rank/index/bg-container-3-1.png) no-repeat right top;
  background-size: 1855px auto;
  background-color: #E3E9F4;
  margin-top: 34px;
}
#rank-index .container3 .container-content .content {
  padding: 80px 0;
  display: flex;
  justify-content: space-between;
}
#rank-index .container3 .container-content .content .left {
  width: 559px;
}
#rank-index .container3 .container-content .content .left .title {
  line-height: 29px;
  font-size: 24px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container3 .container-content .content .left .text {
  width: 518px;
  line-height: 26px;
  font-size: 16px;
  color: #4A5568;
  margin-top: 16px;
}
#rank-index .container3 .container-content .content .left .data {
  margin-top: 27px;
}
#rank-index .container3 .container-content .content .left .data .data-item {
  height: 111px;
  border: 1px solid #BBC8E1;
  border-radius: 6px;
  padding: 15px 29px;
  margin-bottom: 10px;
}
#rank-index .container3 .container-content .content .left .data .data-item:last-child {
  margin-bottom: 0;
}
#rank-index .container3 .container-content .content .left .data .data-item .item-name {
  line-height: 19px;
  font-size: 16px;
  font-weight: 500;
  color: #0B2D45;
}
#rank-index .container3 .container-content .content .left .data .data-item .item-text {
  line-height: 26px;
  font-size: 16px;
  color: #4A5568;
  margin-top: 8px;
}
#rank-index .container3 .container-content .content .right {
  width: 722px;
  background: #fff;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border: 1px solid #E2E9F3;
  border-radius: 6px;
  overflow: hidden;
}
#rank-index .container3 .container-content .content .right .right-top {
  background: #0B2D45;
  padding: 25px 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#rank-index .container3 .container-content .content .right .right-top .top-name {
  line-height: 24px;
  font-size: 20px;
  font-weight: bold;
  color: #fff;
  padding-left: 27px;
  position: relative;
}
#rank-index .container3 .container-content .content .right .right-top .top-name::before {
  content: '';
  width: 6px;
  height: 6px;
  background: #fff;
  border: 6px solid #3C576A;
  border-radius: 50%;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}
#rank-index .container3 .container-content .content .right .right-top .dots {
  display: flex;
  align-items: center;
  gap: 8px;
}
#rank-index .container3 .container-content .content .right .right-top .dots .dot {
  width: 28px;
  height: 6px;
  background: #fff;
  border-radius: 2px;
  opacity: var(--op);
}
#rank-index .container3 .container-content .content .right .right-content {
  padding: 31px 40px 40px;
}
#rank-index .container3 .container-content .content .right .right-content .content-item {
  background: url(/assets/images/rank/index/bg-container-3-2.png) no-repeat right center;
  background-size: 198px auto;
  background-color: #F6F8FE;
  border-radius: 6px;
  padding: 24px 36px 23px;
  margin-bottom: 16px;
}
#rank-index .container3 .container-content .content .right .right-content .content-item:last-child {
  margin-bottom: 0;
}
#rank-index .container3 .container-content .content .right .right-content .content-item .item-title {
  display: flex;
  align-items: center;
  line-height: 19px;
  font-size: 16px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container3 .container-content .content .right .right-content .content-item .item-title .icon {
  width: 15px;
  margin-right: 8px;
}
#rank-index .container3 .container-content .content .right .right-content .content-item .item-text {
  line-height: 26px;
  font-size: 16px;
  color: #4A5568;
  margin-top: 8px;
}
#rank-index .container3 .container-content .content .right .right-content .content-item .item-text span {
  font-weight: bold;
}
#rank-index .container4 {
  background: url(/assets/images/rank/index/bg-container-4-1.png) no-repeat right bottom;
  background-size: 1133px auto;
}
#rank-index .container4 .container-content {
  width: 1466px;
  margin: 0 auto;
  background: #F4F7FC;
  box-shadow: 6px 6px 22px 0px rgba(19, 43, 95, 0.12);
  border-radius: 10px;
  margin-top: 40px;
  padding: 38px 50px 50px;
  position: relative;
}
#rank-index .container4 .container-content::before {
  content: '';
  width: 196px;
  height: 272px;
  border-radius: 6px;
  border: 1px dashed #BCC4CE;
  border-right: 0 none;
  position: absolute;
  left: 27px;
  top: 88px;
}
#rank-index .container4 .container-content::after {
  content: '';
  width: 196px;
  height: 436px;
  border-radius: 6px;
  border: 1px dashed #BCC4CE;
  border-left: 0 none;
  position: absolute;
  right: 27px;
  bottom: 208px;
}
#rank-index .container4 .container-content .content {
  position: relative;
  z-index: 1;
}
#rank-index .container4 .container-content .content .content-tr {
  display: flex;
  justify-content: space-between;
  gap: 38px;
  margin-bottom: 38px;
}
#rank-index .container4 .container-content .content .content-tr:last-child {
  margin-bottom: 0;
}
#rank-index .container4 .container-content .content .content-tr .content-box {
  flex: 1;
  background: #fff;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border: 1px solid #E2E9F3;
  border-radius: 6px;
  padding: 35px 39px 39px;
  position: relative;
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx1::before {
  background-image: url(/assets/images/rank/index/bg-container-4-idx-1.png);
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx1::after {
  width: 155px;
  height: 129px;
  background-image: url(/assets/images/rank/index/bg-container-4-idx-1-empty.png);
  top: -33px;
  right: -27px;
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx2::before {
  background-image: url(/assets/images/rank/index/bg-container-4-idx-2.png);
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx2::after {
  background-image: url(/assets/images/rank/index/bg-container-4-idx-2-empty.png);
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx3::before {
  background-image: url(/assets/images/rank/index/bg-container-4-idx-3.png);
}
#rank-index .container4 .container-content .content .content-tr .content-box.idx3::after {
  background-image: url(/assets/images/rank/index/bg-container-4-idx-3-empty.png);
}
#rank-index .container4 .container-content .content .content-tr .content-box::before {
  content: '';
  width: 128px;
  height: 96px;
  background: no-repeat center center;
  background-size: 100%;
  position: absolute;
  top: 0;
  right: 0;
}
#rank-index .container4 .container-content .content .content-tr .content-box::after {
  content: '';
  width: 128px;
  height: 132px;
  background: no-repeat center center;
  background-size: 100%;
  position: absolute;
  top: -36px;
  right: 0;
}
#rank-index .container4 .container-content .content .content-tr .content-box .title {
  display: flex;
  align-items: center;
  line-height: 29px;
  font-size: 24px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container4 .container-content .content .content-tr .content-box .title .icon {
  width: 38px;
  margin-right: 12px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .text {
  line-height: 17px;
  font-size: 14px;
  color: #4A5568;
  margin-top: 10px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .gap-text {
  width: 160px;
  height: 19px;
  line-height: 19px;
  font-size: 16px;
  font-weight: bold;
  color: #414C60;
  position: absolute;
  left: 369px;
  bottom: -29px;
  z-index: 1;
}
#rank-index .container4 .container-content .content .content-tr .content-box .gap-text::before {
  content: '';
  width: 40px;
  height: 65px;
  background: url(/assets/images/rank/index/icon-container-4-down.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  top: -25px;
  left: -60px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .gap-text::after {
  content: '';
  width: 40px;
  height: 65px;
  background: url(/assets/images/rank/index/icon-container-4-down.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  top: -25px;
  right: -60px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .tags {
  margin-top: 36px;
  display: flex;
  gap: 20px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .tags .tag {
  background: #F6F8FE;
  border-radius: 4px;
  line-height: 19px;
  font-size: 16px;
  font-weight: 500;
  color: #414C60;
  padding: 16px 36px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data {
  margin-top: 50px;
  display: flex;
  flex-wrap: wrap;
  gap: 26px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item {
  width: 302px;
  background: #F7F8FE;
  border-radius: 6px;
  padding: 20px 36px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 20px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item:last-child {
  gap: 10px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item:last-child .item-name {
  width: fit-content;
  background: linear-gradient(-90deg, #2E50FA 0%, #B03897 47%, #FD6100 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  line-height: 31px;
  font-size: 26px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item:last-child .item-text {
  color: #8B97A7;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item .item-name {
  line-height: 19px;
  font-size: 16px;
  font-weight: bold;
  color: #0B2D45;
}
#rank-index .container4 .container-content .content .content-tr .content-box .data .data-item .item-text {
  line-height: 24px;
  font-size: 16px;
  color: #414C60;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list {
  margin-top: 58px;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list .list-item {
  display: flex;
  align-items: center;
  gap: 20px;
  padding: 19px 0;
  border-bottom: 1px solid #E2E9F3;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list .list-item:last-child {
  padding-bottom: 0;
  border-bottom: 0 none;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list .list-item .item-btn {
  width: 168px;
  background: #2E50FA;
  border-radius: 4px;
  padding: 12px 0;
  line-height: 17px;
  font-size: 14px;
  font-weight: 500;
  color: #fff;
  text-align: center;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list .list-item .item-text {
  line-height: 19px;
  font-size: 16px;
  color: #414C60;
}
#rank-index .container4 .container-content .content .content-tr .content-box .list .list-item .item-symbol {
  background: url(/assets/images/rank/index/icon-container-4-right.png) no-repeat left center;
  background-size: 16px;
  line-height: 19px;
  font-size: 16px;
  color: #6B7A8D;
  padding-left: 22px;
  margin-left: auto;
}
#rank-index .container4 .container-content .content .content-tr .content-empty {
  width: 457px;
  background: url(/assets/images/rank/index/bg-container-4-2.png) no-repeat right top;
  background-size: 242px auto;
  background-color: #F4F7FC;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border: 1px solid #D9DEE6;
  border-radius: 6px;
}
#rank-index .container5 {
  background: url(/assets/images/rank/index/bg-container-5-1.png) no-repeat center bottom;
  background-size: 1918px auto;
  background-color: #fff;
  padding-bottom: 68px;
}
#rank-index .container5 .container-tabs {
  margin-top: 35px;
}
#rank-index .container5 .container-content {
  margin-top: 50px;
}
#rank-index .container5 .container-content .partner-content-company:hover .logo-item {
  animation-play-state: paused !important;
}
#rank-index .container5 .container-content .partner-content-company .partner-logo {
  width: 100%;
  display: flex;
  overflow-x: hidden;
  padding-bottom: 32px;
}
#rank-index .container5 .container-content .partner-content-company .partner-logo.right .logo-item {
  animation: moveAnimate3 var(--t) linear infinite;
  animation-delay: calc(var(--t) * -1);
}
#rank-index .container5 .container-content .partner-content-company .partner-logo.right .logo-item:nth-child(2) {
  animation: moveAnimate4 var(--t) linear infinite;
  animation-delay: calc(var(--t) / -2);
}
#rank-index .container5 .container-content .partner-content-company .partner-logo .logo-item {
  font-size: 0;
  white-space: nowrap;
  animation: moveAnimate1 var(--t) linear infinite;
  animation-delay: calc(var(--t) * -1);
}
#rank-index .container5 .container-content .partner-content-company .partner-logo .logo-item img {
  display: inline-block;
  max-height: 80px;
  margin-right: 32px;
  border-radius: 6px;
  box-shadow: 0px 6px 20px 0px rgba(18, 67, 164, 0.12);
}
#rank-index .container5 .container-content .partner-content-company .partner-logo .logo-item:nth-child(2) {
  animation: moveAnimate2 var(--t) linear infinite;
  animation-delay: calc(var(--t) / -2);
}
#rank-index .container5 .container-content .partner-content-media .partner-logo {
  display: flex;
  overflow-x: hidden;
  padding-bottom: 32px;
}
#rank-index .container5 .container-content .partner-content-media .partner-logo .logo-item {
  font-size: 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 32px 56px;
}
#rank-index .container5 .container-content .partner-content-media .partner-logo .logo-item img {
  display: inline-block;
  max-height: 80px;
  border-radius: 6px;
  box-shadow: 0px 6px 20px 0px rgba(18, 67, 164, 0.12);
}
#rank-index .container6 {
  padding-bottom: 100px;
}
#rank-index .container6 .container-title {
  margin-top: 0;
}
#rank-index .container6 .container-text {
  width: 1076px;
  line-height: 20px;
}
#rank-index .container6 .container-content {
  margin-top: 63px;
  display: flex;
  justify-content: space-between;
}
#rank-index .container6 .container-content .content-item {
  width: 319px;
  height: 505px;
  background: #fff;
  box-shadow: 0px 6px 16px 0px rgba(24, 34, 55, 0.06);
  border: 1px solid #E2E9F3;
  border-radius: 6px;
  position: relative;
}
#rank-index .container6 .container-content .content-item::after {
  content: '';
  width: 129px;
  height: 5px;
  background: #0B2D45;
  opacity: 0.1;
  border-radius: 3px;
  position: absolute;
  left: 50%;
  bottom: 17px;
  transform: translateX(-50%);
}
#rank-index .container6 .container-content .content-item .item-title {
  padding: 27px 27px 19px;
  display: flex;
  align-items: center;
  line-height: 24px;
  font-size: 20px;
  font-weight: bold;
  color: #0B2D45;
  border-bottom: 1px solid #E2E9F3;
}
#rank-index .container6 .container-content .content-item .item-title .icon {
  width: 38px;
  margin-right: 10px;
}
#rank-index .container6 .container-content .content-item .item-content {
  padding: 22px 27px;
}
#rank-index .container6 .container-content .content-item .item-content .item-text {
  line-height: 24px;
  font-size: 16px;
  color: #4A5568;
}
#rank-index .container6 .container-content .content-item .item-content .list {
  margin-top: 12px;
}
#rank-index .container6 .container-content .content-item .item-content .list .list-item {
  background: url(/assets/images/rank/index/icon-container-6-right.png) no-repeat left 12px;
  background-size: 16px auto;
  line-height: 24px;
  font-size: 14px;
  color: #414C60;
  padding: 12px 0;
  padding-left: 24px;
  border-bottom: 1px dashed #E2E9F3;
}
#rank-index .container6 .container-content .content-item .item-content .list .list-item:last-child {
  border-bottom: 0 none;
}
#rank-index .bottom {
  width: 100%;
  background: url('/assets/images/rank/index/bg-bottom.png') no-repeat center center;
  background-size: 100% 286px;
  background-color: #1C64FD;
  padding: 65px 0 62px;
  text-align: center;
}
#rank-index .bottom .title {
  line-height: 38px;
  font-size: 32px;
  font-weight: bold;
  color: #fff;
}
#rank-index .bottom .text {
  line-height: 24px;
  font-size: 16px;
  color: #fff;
  margin-top: 16px;
}
#rank-index .bottom .btns {
  width: fit-content;
  margin: 32px auto 0;
  display: flex;
  gap: 30px;
}
#rank-index .bottom .btns .btn {
  width: 230px;
  background: #fff;
  line-height: 48px;
  font-size: 16px;
  color: #2767E5;
  text-align: center;
  cursor: pointer;
  border: 1px solid #fff;
  border-radius: 6px;
}
#rank-index .bottom .btns .btn.cancel {
  background: transparent;
  border-color: rgba(255, 255, 255, 0.5);
  color: #fff;
}
#rank-index .bottom .btns .btn:hover {
  box-shadow: 0px 4px 6px 0px rgba(0, 93, 233, 0.5);
  font-weight: 500;
}
#rank-index .bottom .btns .btn:hover.cancel {
  background: rgba(255, 255, 255, 0.1);
}
#rank-index .images {
  font-size: 0;
  border-radius: 4px;
  overflow: hidden;
}
#rank-index .images img {
  width: 100%;
}
@keyframes moveAnimate1 {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}
@keyframes moveAnimate2 {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-200%);
  }
}
@keyframes moveAnimate3 {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}
@keyframes moveAnimate4 {
  0% {
    transform: translateX(-200%);
  }
  100% {
    transform: translateX(0);
  }
}
